Subject: Re: Can't install rpm-packages
From: "Eckehardt Luhm" <[email-masked]>
To: [email-masked]
Date: Mon, 19 May 2003 11:11:56 +0200

> Re: Can't install rpm-packages
> From: Dario Alcocer <[email-masked]>
> Date: Fri, 16 May 2003 07:18:09 -0700
> To: [email-masked]
> 
> 
> On Fri, May 16, 2003 at 03:56:55PM +0200, Eckehardt Luhm wrote:
> 
>> Greetings!
>> 
>> When trying to install an rpm (I tried a lot!), I get the following
>> error:
> 
> [snip error message]
> 
> It looks like the rpm file you downloaded is corrupted.

Oh wow... shame on me, a typical case of RTFM. I found the problem. The
path from which I tried to install the rpm's was mounted in textmode.
Mounted in binary I can install rpm's without any trouble. I wasn't
aware that rpm isn't able to distinguish between binaryfiles and textfiles.

> By the way, are you *sure* that the package you're installing will
> run on Cygwin? Cygwin cannot run Linux binaries, so unless the
> package you're trying to install was produced by another Cygwin RPM
> program, I very much doubt you want to be installing the rpm you
> referred to, anyway.
> 
> The main purpose of RPM on Cygwin right now would be if you wanted to
>  build your own local packages and manage them with /usr/bin/rpm. I
> doubt there are Cygwin rpm packages you'll want to install, anyway.

I'm afraid you are absolutely right. I just wanted to try it out, because the
anjuta-binary I build myself on cygwin didn't work. Now I found a
cygwin-binary which doesn't work either, but that's another issue.

> Another point: no, there are no current plans for setup.exe to 
> support rpm packages.

Yes, I followed that topic. :)

Thank you all for your quick help.

Regards, Elu

______________________________________________________________________________
UNICEF bittet um Spenden für die Kinder im Irak! Hier online an
UNICEF spenden: https://spenden.web.de/unicef/special/?mc=021101

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/